# Get profile

> Management API · Your Profile · **Deprecated**

```http
GET https://app.mk.io/api/profile/
```

This endpoint returns the details of the current user.

Requires authentication; no additional RBAC permissions required.

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Example request

```bash
curl -X GET "https://app.mk.io/api/profile/" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — OK

- `metadata` · object · **Required** — Metadata.
  - `id` · string · **Required** · _format: uuid_ — The unique identifier of the user.
- `spec` · object · **Required** — Specification.
  - `avatar` · string · **Required** · _<=200 characters_ — Avatar.
  - `company` · string or null · **Required** · _0-1024 characters_ — Company.
  - `contact_email` · string · **Required** · _1-1024 characters_ — Contact email address
  - `country` · string · **Required** · _0-1024 characters_ — Country.
  - `customer_id` · string · **Required** — Primary customer relationship.
  - `customers` · map from strings to string · **Required** — Customers.
    - `[any key]` · string — map of additional properties
  - `is_active` · boolean · **Required** — Is this user active?
  - `is_admin` · boolean · **Required** — Is this user a global administrator?
  - `jobrole` · string or null · **Required** · _0-1024 characters_ — Job Role.
  - `name` · string · **Required** · _1-1024 characters_ — Full name.
  - `phonenumber` · string · **Required** · _0-1024 characters_ — Phone number including international dialling code
  - `signup_problem` · string or null · **Required** — Issues with signing up to MK.IO?

Example:

```json
{
  "metadata": {
    "id": "00000000-0000-0000-0000-000000000000"
  },
  "spec": {
    "avatar": "string",
    "company": "string",
    "contact_email": "string",
    "country": "string",
    "customer_id": "string",
    "customers": {
      "customer_id": "customer_name"
    },
    "is_active": true,
    "is_admin": true,
    "jobrole": "string",
    "name": "string",
    "phonenumber": "string",
    "signup_problem": "string"
  }
}
```

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 401 — Unauthorized

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 403 — Forbidden

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 404 — Not Found

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 429 — Too Many Requests

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 500 — Internal Server Error

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

---

Source spec: `management-api` · operationId: `[get]_/api/profile/`
